function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(arr, i) { var _i = null == arr ? null : "undefined" != typeof Symbol && arr[Symbol.iterator] || arr["@@iterator"]; if (null != _i) { var _s, _e, _x, _r, _arr = [], _n = !0, _d = !1; try { if (_x = (_i = _i.call(arr)).next, 0 === i) { if (Object(_i) !== _i) return; _n = !1; } else for (; !(_n = (_s = _x.call(_i)).done) && (_arr.push(_s.value), _arr.length !== i); _n = !0); } catch (err) { _d = !0, _e = err; } finally { try { if (!_n && null != _i.return && (_r = _i.return(), Object(_r) !== _r)) return; } finally { if (_d) throw _e; } } return _arr; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import { BizDialog, IconFont } from '@zgfe/business-lib';
import { Skeleton } from 'antd';
import React, { useEffect, useState } from 'react';
import apis from '../../constants/api';
import request from '../../utils/ajax';
import './styles/del.less';
var EffectDatasetDialog = function EffectDatasetDialog(props) {
  var _useState = useState(false),
    _useState2 = _slicedToArray(_useState, 2),
    loading = _useState2[0],
    setLoading = _useState2[1];
  var _useState3 = useState(true),
    _useState4 = _slicedToArray(_useState3, 2),
    effectLoading = _useState4[0],
    setEffectLoading = _useState4[1];
  var _useState5 = useState([]),
    _useState6 = _slicedToArray(_useState5, 2),
    scope = _useState6[0],
    setScope = _useState6[1];
  var _useState7 = useState(false),
    _useState8 = _slicedToArray(_useState7, 2),
    scopeFail = _useState8[0],
    setScopeFail = _useState8[1];
  useEffect(function () {
    queryScope();
  }, []);
  function onOk() {
    setLoading(true);
    if (props.onOk) props.onOk(function () {
      setLoading(false);
    });
  }
  function queryScope() {
    setEffectLoading(true);
    setScopeFail(false);
    request(apis.queryEffectByDataset, {
      method: 'get',
      params: {
        datasetId: props.datasetId
      }
    }).then(function (res) {
      if (!res) throw new Error();
      setScope(res.data);
    }).catch(function (err) {
      setScopeFail(true);
      console.error('查询影响范围失败', err);
    }).finally(function () {
      setEffectLoading(false);
    });
  }
  return /*#__PURE__*/React.createElement(BizDialog, {
    open: true,
    className: "cdp-dataset-del",
    width: 520,
    title: /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(IconFont, {
      style: {
        color: '#FD9F41',
        marginRight: '8px',
        verticalAlign: 'top',
        fontSize: '22px'
      },
      type: "tishi1"
    }), "\u98CE\u9669\u63D0\u793A"),
    okButtonProps: {
      loading: loading,
      disabled: effectLoading || scopeFail
    },
    onCancel: props.onCancel,
    onOk: onOk
  }, props.mode === 'edit' ? '检测到您对配置信息进行了修改，可能会对以下数据集产生影响；被影响的数据集将被禁用' : '确定删除该数据集吗？', /*#__PURE__*/React.createElement("div", {
    className: "cdp-dataset-del-scope"
  }, /*#__PURE__*/React.createElement("label", null, "\u5F71\u54CD\u8303\u56F4"), function () {
    if (scopeFail) {
      return /*#__PURE__*/React.createElement("div", {
        className: "cdp-dataset-del-scopev fail"
      }, "\u83B7\u53D6\u5F71\u54CD\u8303\u56F4\u5931\u8D25");
    }
    if (effectLoading) {
      return /*#__PURE__*/React.createElement(Skeleton.Input, {
        active: true,
        className: "cdp-dataset-del-loading"
      });
    }
    return /*#__PURE__*/React.createElement("div", {
      className: "cdp-dataset-del-scopev"
    }, scope.map(function (item) {
      return item.jobName;
    }).join('、') || '-');
  }()), /*#__PURE__*/React.createElement("div", {
    className: "cdp-dataset-del-tip"
  }, /*#__PURE__*/React.createElement(IconFont, {
    type: "tishi"
  }), "\u5220\u9664\u540E\uFF0C\u6570\u636E\u96C6\u7684\u6570\u636E\u5C06\u88AB\u6E05\u7A7A\uFF0C\u540C\u65F6\u5F71\u54CD\u7684\u4EFB\u52A1\u5C06\u88AB\u7981\u7528"));
};
export default EffectDatasetDialog;